POST V1/Users.{ext}/updateClient?unSelectedClient={unSelectedClient}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
unSelectedClient

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Security.Entities.Client
NameDescriptionTypeAdditional information
ClientId

No description available

integer

None.

ClientCode

No description available

string

None.

ClientName

No description available

string

None.

Status

No description available

string

None.

ClientIds

No description available

string

None.

UserId

No description available

integer

None.

SiteUpdatedDate

No description available

string

None.

LastNormalizedDate

No description available

string

None.

ImagePath

No description available

string

None.

IsWorkspaceEnabled

No description available

string

None.

pinStatus

No description available

string

None.

PinUpdatedDate

No description available

string

None.

featureCount

No description available

integer

None.

IsProductionDataAvailable

No description available

boolean

None.

PartnerLogo

No description available

string

None.

PartnerName

No description available

string

None.

IsDisplayPartnerLogo

No description available

boolean

None.

ReportSchedulerSFTP

No description available

boolean

None.

IsMFARequired

No description available

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "clientId": 1,
  "clientCode": "sample string 1",
  "clientName": "sample string 2",
  "status": "sample string 3",
  "clientIds": "sample string 4",
  "userId": 1,
  "siteUpdatedDate": "sample string 5",
  "lastNormalizedDate": "sample string 6",
  "imagePath": "sample string 7",
  "isWorkspaceEnabled": "sample string 8",
  "pinStatus": "sample string 9",
  "pinUpdatedDate": "sample string 10",
  "featureCount": 11,
  "isProductionDataAvailable": true,
  "partnerLogo": "sample string 13",
  "partnerName": "sample string 14",
  "isDisplayPartnerLogo": true,
  "reportSchedulerSFTP": true,
  "ismfaRequired": true
}

application/xml, text/xml

Sample:
<Client xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Security.Entities">
  <ClientCode>sample string 1</ClientCode>
  <ClientId>1</ClientId>
  <ClientIds>sample string 4</ClientIds>
  <ClientName>sample string 2</ClientName>
  <ImagePath>sample string 7</ImagePath>
  <IsDisplayPartnerLogo>true</IsDisplayPartnerLogo>
  <IsMFARequired>true</IsMFARequired>
  <IsProductionDataAvailable>true</IsProductionDataAvailable>
  <IsWorkspaceEnabled>sample string 8</IsWorkspaceEnabled>
  <LastNormalizedDate>sample string 6</LastNormalizedDate>
  <PartnerLogo>sample string 13</PartnerLogo>
  <PartnerName>sample string 14</PartnerName>
  <PinUpdatedDate>sample string 10</PinUpdatedDate>
  <ReportSchedulerSFTP>true</ReportSchedulerSFTP>
  <SiteUpdatedDate>sample string 5</SiteUpdatedDate>
  <Status>sample string 3</Status>
  <UserId>1</UserId>
  <featureCount>11</featureCount>
  <pinStatus>sample string 9</pinStatus>
</Client>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.